
Foreman - Tracker #4656

Drop Ruby 1.8 support

03/13/2014 05:33 PM - Dominic Cleal

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category:    

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Tracker for anything concerning Ruby 1.8.7 support, and being able to drop it.  There are likely things in Foreman we can revert (gem

pins, workarounds).

There was a short discussion on foreman-dev in 2013 about when we'd look to drop it:

https://groups.google.com/d/msg/foreman-dev/0TsJ9wxmUOQ/YpBdCi97ARgJ

The general consensus there and in other discussions has been to continue supporting 1.8 while it's been reasonable effort (pinning

gems etc), and while none of our major dependencies (i.e. Rails, Fog) have dropped it.  A move to Rails 4 would necessitate

dropping 1.8.

Related issues:

Related to Foreman - Bug #3369: rubyzip 1.0.0 breaks Ruby 1.8 build Closed 10/18/2013

Related to Foreman - Bug #3005: gettext 3.0.0 breaks Ruby 1.8 support Closed 09/01/2013

Related to Foreman - Bug #3167: gettext_i18n_rails 1.0.0 incompatible with ge... Closed 09/30/2013

Related to Foreman - Bug #2808: nokogiri 1.6.0 incompatible with Ruby 1.8 Closed 07/19/2013

Related to Foreman - Bug #2385: Capybara 2.1.0 incompatible with Ruby 1.8 Closed 04/10/2013

Related to Foreman - Bug #2100: KS provisioning template regexp buffer overflow Closed 01/03/2013

Related to Foreman - Bug #4828: Rake 10.2.0 breaks Ruby 1.8 compatibility Closed 03/25/2014

Related to Foreman - Bug #5214: Ancestry 2.1.0 dropped Ruby 1.8 support Closed 04/16/2014

Related to Foreman - Bug #5966: execjs 2.1.0 drops Ruby 1.8 compatibility Closed 05/28/2014

Related to Foreman - Bug #6533: rest-client 1.7.0 dropped Ruby 1.8 support Closed 07/09/2014

Related to Foreman - Bug #7013: apipie-rails 0.2.3 is incompatible with 1.8.7 Closed 08/10/2014

Has duplicate Foreman - Feature #7513: drop ruby 1.87 support Duplicate 09/18/2014

Blocks Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Blocked by Packaging - Feature #7227: Move Ubuntu 12.04 packages to Brightbox... Closed 08/22/2014

Blocks Foreman - Feature #7514: add foreman tasks into core New

Blocks Foreman - Refactor #7233: Revert Ruby 1.8 specifics Closed 08/22/2014

Blocks Foreman - Refactor #8461: Replace UUIDTools with SecureRandom.uuid Closed 11/20/2014

Associated revisions

Revision 40f0f9fc - 08/26/2014 03:38 AM - Dominic Cleal 

refs #4656 - add Ruby 1.8.7 support warning

History

#1 - 03/13/2014 05:33 PM - Dominic Cleal

- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 03/13/2014 05:37 PM - Dominic Cleal

Plugins use deface < 1.0 at the moment, but >= 1.0 requires nokogiri ~> 1.6.0 which is incompatible with 1.8.  We can then switch to deface 1.0

after dropping 1.8.
#3 - 03/13/2014 05:38 PM - Dominic Cleal

- Related to Bug #3369: rubyzip 1.0.0 breaks Ruby 1.8 build added

#4 - 03/13/2014 05:39 PM - Dominic Cleal

- Related to Bug #3005: gettext 3.0.0 breaks Ruby 1.8 support added

#5 - 03/13/2014 05:39 PM - Dominic Cleal

- Related to Bug #3167: gettext_i18n_rails 1.0.0 incompatible with gettext 2.x added

#6 - 03/13/2014 05:39 PM - Dominic Cleal

- Related to Bug #2808: nokogiri 1.6.0 incompatible with Ruby 1.8 added

#7 - 03/13/2014 05:39 PM - Dominic Cleal

- Related to Bug #2385: Capybara 2.1.0 incompatible with Ruby 1.8 added

#8 - 03/13/2014 05:39 PM - Dominic Cleal

- Related to Bug #2100: KS provisioning template regexp buffer overflow added

#9 - 03/13/2014 05:42 PM - Dominic Cleal

Debian 6 (squeeze) and Ubuntu 12.04 (precise) both use 1.8.7 as default, but Debian 6 will be EOL soon (May 2014) and 12.04 will be supplanted by

14.04 shortly.

They're able to switch to 1.9.2/3 by default, but both ship Ruby 1.9 versions that aren't supported by Puppet upstream, so doing this can't really be

recommended.

It seems that using Debian 7 and Ubuntu 14.04 as our primary versions for these distros would be a good cue to begin dropping 1.8 support (maybe

Foreman 1.6 or equivalent).

#10 - 03/13/2014 06:08 PM - Dominic Cleal

1.8 support will probably continue for the smart proxy and probably Hammer for longer, since they use the system Ruby 1.8.7 on EL6, rather than

software collections.

The proxy has to load Puppet, which remains packaged for 1.8 (though they're talking about dropping support - how isn't clear, yet), while I think we

used 1.8 for Hammer to reduce dependencies.  Now SCL's released, using it for Hammer on EL6 might well be sensible.

#11 - 03/25/2014 08:11 AM - Dominic Cleal

- Related to Bug #4828: Rake 10.2.0 breaks Ruby 1.8 compatibility added

#12 - 04/17/2014 04:16 PM - Dominic Cleal

- Related to Bug #5214: Ancestry 2.1.0 dropped Ruby 1.8 support added

#13 - 05/28/2014 09:41 AM - Dominic Cleal

- Related to Bug #5966: execjs 2.1.0 drops Ruby 1.8 compatibility added

#14 - 07/09/2014 06:52 AM - Dominic Cleal

- Related to Bug #6533: rest-client 1.7.0 dropped Ruby 1.8 support added

#15 - 08/11/2014 02:55 AM - Dominic Cleal

- Related to Bug #7013: apipie-rails 0.2.3 is incompatible with 1.8.7 added

#16 - 08/22/2014 06:34 AM - Dominic Cleal

- Blocked by Feature #7227: Move Ubuntu 12.04 packages to Brightbox PPA with Ruby 1.9 added

#17 - 08/22/2014 06:45 AM - Dominic Cleal

Up for discussion again, possibly for Foreman 1.7: https://groups.google.com/forum/#!topic/foreman-dev/p48T8bQ21hY

Debian 6 has been deprecated as of 1.6, and will be dropped for 1.7.  #7227 tracks how to handle Ubuntu 12.04.

#18 - 08/22/2014 06:49 AM - Dominic Cleal

- Blocked by Refactor #7233: Revert Ruby 1.8 specifics added
#19 - 09/18/2014 03:25 AM - Ohad Levy

- Has duplicate Feature #7513: drop ruby 1.87 support added

#20 - 09/18/2014 04:55 AM - Ohad Levy

- Blocks Feature #7514: add foreman tasks into core added

#21 - 10/01/2014 07:48 AM - Ohad Levy

- translation missing: en.field_release set to 21

#22 - 10/20/2014 03:33 AM - Dominic Cleal

- Blocked by deleted (Refactor #7233: Revert Ruby 1.8 specifics)

#23 - 10/20/2014 03:33 AM - Dominic Cleal

- Blocks Refactor #7233: Revert Ruby 1.8 specifics added

#24 - 10/20/2014 03:34 AM - Dominic Cleal

- Status changed from New to Closed

- Target version set to 1.7.2

- % Done changed from 0 to 100

https://groups.google.com/forum/#!topic/foreman-dev/YOGfxn2STr4

#25 - 11/20/2014 10:36 AM - Dominic Cleal

- Blocks Refactor #8461: Replace UUIDTools with SecureRandom.uuid added

#26 - 10/16/2018 02:30 PM - Tomer Brisker

- Category deleted (70)
